java.lang.annotation

## Annotation Type Repeatable

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=ANNOTATION_TYPE)
      public @interface Repeatable

  The annotation type `java.lang.annotation.Repeatable` is used to indicate that the annotation type whose declaration it (meta-)annotates is repeatable. The value of `@Repeatable` indicates the containing annotation type for the repeatable annotation type.
  Since:
    1.8
  See The Java™ Language Specification:
    9.6 Annotation Types, 9.7 Annotations

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `Class<? extends Annotation>` | `value` Indicates the containing annotation type for the repeatable annotation type.

- - ### Element Detail

    - #### value

          public abstract Class<? extends Annotation> value

      Indicates the containing annotation type for the repeatable annotation type.
      Returns:
        the containing annotation type

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.